%define pkgname activerecord

Name: ruby-%pkgname
Version: 2.0.2
Release: alt2
Summary: Implements the ActiveRecord pattern for ORM.
License: MIT
Group: Development/Ruby
Url: http://rubyforge.org/projects/activerecord/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

Source: %pkgname-%version.tar
Patch:  %pkgname-%version-%release.patch

BuildArch: noarch

BuildRequires(pre): rpm-build-ruby
# Automatically added by buildreq on Tue Apr 01 2008 (-bi)
BuildRequires: ruby-module-etc ruby-tool-rdoc

%description
Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM. It ties
database tables and classes together for business objects, like Customer
or Subscription, that can find, save, and destroy themselves without
resorting to manual SQL.

%package mysql-adapter
Summary: MySQL connection adapter for ActiveRecord
Group: Development/Ruby
Requires: %name = %version-%release
# Hidden from ruby.req...
Requires: ruby(mysql)

%package postgresql-adapter
Summary: PostgreSQL connection adapter for ActiveRecord
Group: Development/Ruby
Requires: %name = %version-%release
# Hidden from ruby.req...
Requires: ruby(postgres)

%package sqlite3-adapter
Summary: SQLite3 connection adapter for ActiveRecord
Group: Development/Ruby
Requires: %name = %version-%release
# Hidden from ruby.req...
Requires: ruby(sqlite3)

%package sqlite-adapter
Summary: SQLite connection adapter for ActiveRecord
Group: Development/Ruby
Requires: %name = %version-%release
# Hidden from ruby.req...
Requires: ruby(sqlite)

%description mysql-adapter
MySQL connection adapter for ActiveRecord.

%description postgresql-adapter
PostgreSQL connection adapter for ActiveRecord.

%description sqlite3-adapter
SQLite3 connection adapter for ActiveRecord.

%description sqlite-adapter
SQLite connection adapter for ActiveRecord.

%package doc
Summary: Documentation files for %pkgname
Group: Documentation

%description doc
Documentation files for %pkgname

%prep
%setup -q -n %pkgname-%version
%patch -p1
rm -rf lib/active_record/vendor

%install
DESTDIR=%buildroot ruby -rvendor-specific install.rb
%rdoc lib/

%files
%doc CHANGELOG README
%ruby_sitelibdir/*
%exclude %ruby_sitelibdir/active_record/connection_adapters/[^a]*_adapter.rb

%files mysql-adapter
%ruby_sitelibdir/active_record/connection_adapters/mysql_adapter.rb

%files postgresql-adapter
%ruby_sitelibdir/active_record/connection_adapters/postgresql_adapter.rb

%files sqlite3-adapter
%ruby_sitelibdir/active_record/connection_adapters/sqlite3_adapter.rb

%files sqlite-adapter
%ruby_sitelibdir/active_record/connection_adapters/sqlite_adapter.rb

%files doc
%doc examples
%ruby_ri_sitedir/ActiveRecord*

%changelog
* Mon Mar 31 2008 Sir Raorn <raorn@altlinux.ru> 2.0.2-alt2
- Rebuilt with rpm-build-ruby

* Mon Jan 07 2008 Sir Raorn <raorn@altlinux.ru> 2.0.2-alt1
- [2.0.2]
- All database adapters moved to separate packages

* Sun Dec 09 2007 Sir Raorn <raorn@altlinux.ru> 1.15.6-alt1
- [1.15.6]

* Wed May 23 2007 Sir Raorn <raorn@altlinux.ru> 1.15.3-alt1
- [1.15.3]

* Fri Aug 11 2006 Sir Raorn <raorn@altlinux.ru> 1.14.4-alt1
- [1.14.4]

* Thu Jul 06 2006 Sir Raorn <raorn@altlinux.ru> 1.14.3-alt1
- [1.14.3]

* Wed Mar 15 2006 Sir Raorn <raorn@altlinux.ru> 1.13.2-alt1
- [1.13.2]
- Dropped rubygems

* Wed Aug 31 2005 Mikhail Yakshin <greycat@altlinux.ru> 1.11.1-alt1
- Initial build for ALT Linux

